import { SimpleLocalIntegration } from '../../core/index.js';
import { OralbConfigFlow } from './oralb.classes.configflow.js';
import { createOralbDiscoveryDescriptor } from './oralb.discovery.js';
import type { IOralbConfig } from './oralb.types.js';
import { oralbDomain, oralbProfile } from './oralb.types.js';

export class OralbIntegration extends SimpleLocalIntegration<IOralbConfig> {
  public readonly domain = oralbDomain;
  public readonly discoveryDescriptor = createOralbDiscoveryDescriptor();
  public readonly configFlow = new OralbConfigFlow();

  constructor() {
    super(oralbProfile);
  }
}

export class HomeAssistantOralbIntegration extends OralbIntegration {}
